/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.flowable.db.entity;

import net.northking.cctp.common.db.POJO;

import net.northking.cctp.common.saas.db.TenantPartition;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Id;

/**
 * 状态定义
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2021-11-23 20:58:03  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Entity
@Table(name = "sp_def_state")
@DynamicInsert
@DynamicUpdate
public class SpDefState extends TenantPartition implements POJO
{
  public static final String KEY_id = "id";
  public static final String KEY_spId = "spId";
  public static final String KEY_label = "label";
  public static final String KEY_memo = "memo";
  public static final String KEY_initialState = "initialState";
  public static final String KEY_finishedState = "finishedState";
  public static final String KEY_catalogCode = "catalogCode";
  public static final String KEY_stateType = "stateType";
  public static final String KEY_usedInterceptor = "usedInterceptor";
  public static final String KEY_x = "x";
  public static final String KEY_y = "y";
  public static final String KEY_shape = "shape";
  public static final String KEY_tenantId = "tenantId";

  /**
   * 主键<br>
   */
    @Id
    @Column(name = "id")
  private String id;
  /**
   * 状态流程定义<br>
   */
    @Column(name = "sp_id")
  private String spId;
  /**
   * 状态名称<br>
   */
    @Column(name = "label")
  private String label;
  /**
   * 详细描述<br>
   */
    @Column(name = "memo")
  private String memo;
  /**
   * 是否初始状态<br>
   */
    @Column(name = "is_initial_state")
  private Boolean initialState;
  /**
   * 是否最终状态<br>
   */
    @Column(name = "is_finished_state")
  private Boolean finishedState;
  /**
   * 状态类目代码<br>
   */
    @Column(name = "catalog_code")
  private String catalogCode;
  /**
   * 状态类型<br>
   */
    @Column(name = "state_type")
  private String stateType;
  /**
   * 是否启用拦截器<br>
   */
    @Column(name = "is_used_interceptor")
  private Boolean usedInterceptor;
  /**
   * 横坐标<br>
   */
    @Column(name = "x")
  private Integer x;
  /**
   * 纵坐标<br>
   */
    @Column(name = "y")
  private Integer y;
  /**
   * 图形样式<br>
   */
    @Column(name = "shape")
  private String shape;
  /**
   * 租户<br>
   */
    @Column(name = "tenant_id")
  private String tenantId;

  /**
   * 主键<br>
   */
  public String getId()
  {
      return id;
    }

  /**
   * 主键<br>
   *
   * @param id 主键
   */
  public void setId(String id)
  {
      this.id = id;
    }
  /**
   * 状态流程定义<br>
   */
  public String getSpId()
  {
      return spId;
    }

  /**
   * 状态流程定义<br>
   *
   * @param spId 状态流程定义
   */
  public void setSpId(String spId)
  {
      this.spId = spId;
    }
  /**
   * 状态名称<br>
   */
  public String getLabel()
  {
      return label;
    }

  /**
   * 状态名称<br>
   *
   * @param label 状态名称
   */
  public void setLabel(String label)
  {
      this.label = label;
    }
  /**
   * 详细描述<br>
   */
  public String getMemo()
  {
      return memo;
    }

  /**
   * 详细描述<br>
   *
   * @param memo 详细描述
   */
  public void setMemo(String memo)
  {
      this.memo = memo;
    }
  /**
   * 是否初始状态<br>
   */
  public Boolean getInitialState()
  {
      return initialState;
    }

  /**
   * 是否初始状态<br>
   *
   * @param initialState 是否初始状态
   */
  public void setInitialState(Boolean initialState)
  {
      this.initialState = initialState;
    }
  /**
   * 是否最终状态<br>
   */
  public Boolean getFinishedState()
  {
      return finishedState;
    }

  /**
   * 是否最终状态<br>
   *
   * @param finishedState 是否最终状态
   */
  public void setFinishedState(Boolean finishedState)
  {
      this.finishedState = finishedState;
    }
  /**
   * 状态类目代码<br>
   */
  public String getCatalogCode()
  {
      return catalogCode;
    }

  /**
   * 状态类目代码<br>
   *
   * @param catalogCode 状态类目代码
   */
  public void setCatalogCode(String catalogCode)
  {
      this.catalogCode = catalogCode;
    }
  /**
   * 状态类型<br>
   */
  public String getStateType()
  {
      return stateType;
    }

  /**
   * 状态类型<br>
   *
   * @param stateType 状态类型
   */
  public void setStateType(String stateType)
  {
      this.stateType = stateType;
    }
  /**
   * 是否启用拦截器<br>
   */
  public Boolean getUsedInterceptor()
  {
      return usedInterceptor;
    }

  /**
   * 是否启用拦截器<br>
   *
   * @param usedInterceptor 是否启用拦截器
   */
  public void setUsedInterceptor(Boolean usedInterceptor)
  {
      this.usedInterceptor = usedInterceptor;
    }
  /**
   * 横坐标<br>
   */
  public Integer getX()
  {
      return x;
    }

  /**
   * 横坐标<br>
   *
   * @param x 横坐标
   */
  public void setX(Integer x)
  {
      this.x = x;
    }
  /**
   * 纵坐标<br>
   */
  public Integer getY()
  {
      return y;
    }

  /**
   * 纵坐标<br>
   *
   * @param y 纵坐标
   */
  public void setY(Integer y)
  {
      this.y = y;
    }
  /**
   * 图形样式<br>
   */
  public String getShape()
  {
      return shape;
    }

  /**
   * 图形样式<br>
   *
   * @param shape 图形样式
   */
  public void setShape(String shape)
  {
      this.shape = shape;
    }
  /**
   * 租户<br>
   */
  public String getTenantId()
  {
      return tenantId;
    }

  /**
   * 租户<br>
   *
   * @param tenantId 租户
   */
  public void setTenantId(String tenantId)
  {
      this.tenantId = tenantId;
    }

  public SpDefState()
  {
  }

}
